Skip to main content

Get Caller ID Resource by ID

API Description

Get information about a specific caller ID resource, including resource state. Supply the unique Apple-generated ID assigned to the partner’s description of a caller ID resource, and the service will return the corresponding resource.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
callerId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}/caller-ids/{callerId}
Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/caller-ids/9467895078742654966

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 90e37155-2e8a-4584-b72f-e07d54e45c92
content-type: application/json
etag: "5c556a5e-5d47-11ee-863f-325096b39f47"

Response Body

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654966",
"createdDate": "2026-10-02T11:41:00Z",
"updatedDate": "2026-10-11T18:34:00Z",
"state": "PUBLISHED",
"etag": "5c556a5e-5d47-11ee-863f-325096b39f47",
"callerIdDetails": {
"phoneNumber": "+18005555555",
"department": "department.general.support.customer_service"
}
}